POST api/NTSetting/PostNotificationType
Request Information
URI Parameters
None.
Body Parameters
NTNotificationTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| NotificationType | string |
String length: inclusive between 0 and 250 |
|
| NotificationFrom | integer |
None. |
|
| MailPriority | integer |
None. |
|
| ClinicalPathwayTypeId | integer |
None. |
|
| EmailTemplate | string |
String length: inclusive between 0 and 8000 |
|
| Subject | string |
String length: inclusive between 0 and 350 |
|
| ClinicalPathwayTypeName | string |
String length: inclusive between 0 and 100 |
|
| NotificationTypeCode | string |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"NotificationType": "sample string 2",
"NotificationFrom": 1,
"MailPriority": 1,
"ClinicalPathwayTypeId": 3,
"EmailTemplate": "sample string 4",
"Subject": "sample string 5",
"ClinicalPathwayTypeName": "sample string 6",
"NotificationTypeCode": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:39.6978405-07:00",
"DateUpdated": "2026-06-20T12:44:39.6978405-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfNTNotificationTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | NTNotificationTypeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"NotificationType": "sample string 2",
"NotificationFrom": 1,
"MailPriority": 1,
"ClinicalPathwayTypeId": 3,
"EmailTemplate": "sample string 4",
"Subject": "sample string 5",
"ClinicalPathwayTypeName": "sample string 6",
"NotificationTypeCode": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:39.7113913-07:00",
"DateUpdated": "2026-06-20T12:44:39.7113913-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
"totalCount": 3
}